@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

h1, h2, h3, h4, h5, h6, span {
    color: rgb(54, 54, 54);
    text-align: center;
    line-height: 1.25;
}

h1 {
    font-size: 36px;
}

p {
    line-height: 1.5;
    font-size: 16px;
}

li {
    list-style: none;
}
.flex {
    display: flex;
}
.flex-1 {
    flex: 1;
}

.row {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
}

.text--blue {
    color: #38686A;
}

section:nth-child(even) {
    background-color: #cdc6ae;
}

.container {
    padding: 50px 0;
}
.section__title {
    margin-bottom:20px;
}

/* NAVIGATION BAR */


nav {
    height:100px;
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
}
.nav__link--list {
    display: flex;  
}

.nav__link--anchor {
    margin: 0 12px;
    color: grey;
    text-decoration: none;
    font-weight: bold;
}

.nav__link--anchor-primary {
    background-color: #A3B4A2;
    padding: 8px 20px;
    border-radius: 50px;
    color: white;
    transition: all 300ms ease;
}

.nav__link--anchor-primary:hover {
    background-color: #c1d4c0;
}

.personal__logo {
    font-size: 24px;
    margin: 0 24px;
    color: #38686A;
    font-weight: bold;
}

/* ABOUT ME */

#about-me {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.about-me__info {
    display: flex;
    flex-direction: column;
}

.about-me__info--container {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    max-width: 600px;
    margin: 0 auto;
    text-align: center;
}

.about-me__picture--mask {
    width: 100px;
    height:100px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.60);
    margin-bottom:28px ;
}

.about-me__picture {
    width: 100%;
    transform: scale(1.4);
    padding-top: 24px;
}

.about-me__info--para {
    font-size: 16px;
    margin-bottom: 20px;
    color: black;
}

.about-me__info--title {
    margin-bottom: 16px;
}

.about-me__info--intro {
    font-size: 20px;
    font-weight: 500;
}

.about-me__links {
    display: flex;
}

.about-me__link {
    width: 30px;
    height: auto;
}

.about-me__link--space {
    margin: 0 4px;
}

.about-me__img--container {
    flex: 1;
    display: flex;
    align-items: center;
}

.about-me_img {
    max-width: 100%;
}

/* TECH - STACK */

.language {
    width: 25%;
    display: flex;
    justify-content: center;
    position:relative;
}
.language__img {
    width: 100%;
    max-width: 100px;
    transition: all 200ms ease;
}

.language:hover .language__img {
    filter: brightness(80%);
    opacity: 0.86;
    transform: scale(0.9);
}

.language__img--wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 25px 16px;
}

.language__list {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
}

.language__name {
    position: absolute;
    bottom: 0;
    transform: scale(0);
    transition: all 200ms;
    font-size: 20px;
}

.language:hover .language__name{
    transform: scale(1);
}